:root {
  --color-white: #ffff;
  --color-dark-blue: #111827;
  --color-blue: #1d4ed8;
  --color-light-blue: #3b82f6;
  --color-grey: rgb(156 163 175);
  --color-dark-grey: rgb(55 65 81);
}

html,
body {
  scroll-behavior: smooth;
}

body {
  padding: 0;
  margin: 0;
  font-family: "ui-sans-serif", sans-serif;
  width: 100%;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

.section:nth-child(odd) {
  background-color: var(--color-dark-blue);
  color: var(--color-white);
}

.section:nth-child(even) {
  background-color: var(--color-white);
  color: var(--color-dark-blue);
}

.section {
  padding: 2rem;
}

#header {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  height: 5rem;
  font-weight: bold;
}

#menu-close:hover,
#sidebar > label:hover,
#header > div > label:hover {
  cursor: pointer;
  color: var(--color-light-blue);
}

#sidebar > button,
#me_recruter,
#bouton_header > button {
  background-color: var(--color-light-blue);
  border-radius: 5px;
  padding: 1rem;
  color: var(--color-white);
  border: none;
  font-size: 1rem;
  transition: background-color 0.3s, box-shadow 0.3s;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  font-weight: bold;
}

#sidebar > button:hover,
#me_recruter:hover,
#bouton_header > button:hover {
  background-color: var(--color-blue);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
  cursor: pointer;
}

#bouton_presentation {
  background-color: var(--color-white);
  border-radius: 5px;
  padding: 1rem;
  color: var(--color-dark-grey);
  font-size: 1rem;
  transition: background-color 0.3s, box-shadow 0.3s;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  font-weight: bold;
}

#bouton_presentation:hover {
  background-color: var(--color-dark-blue);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
  cursor: pointer;
  color: var(--color-white);
}

#lien_header {
  gap: 6rem;
  display: flex;
  justify-content: space-between;
}

.blue {
  color: var(--color-light-blue);
}

.titre_section {
  font-size: bold;
  font-size: 2rem;
}

#presentation {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding-bottom: 0;
  gap: 10rem;
}

.presentation_partie {
  gap: 3rem;
}

.presentation_partie > div > p {
  color: var(--color-dark-grey);
  font-size: 1.125rem;
}

.part_droite {
  margin-top: auto;
}

#a_propos {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#a_propos > div {
  display: grid;
  grid-template-columns: 1fr 1fr;
  max-width: 64rem;
}

#a_propos_txt {
  display: flex;
  flex-direction: column;
  padding: 2rem;
  margin-right: auto;
  text-justify: auto;
  color: var(--color-grey);
}

#a_propos_img {
  width: 100%;
  display: flex;
  padding: 2rem;
  margin-left: auto;
}

#a_propos_bas {
  display: flex;
  align-items: center;
  justify-content: center;
}

#menu {
  display: none;
}

#sidebar {
  position: fixed;
  top: 0;
  right: -100%;
  width: 75%;
  height: 100%;
  background: var(--color-dark-blue);
  z-index: 1000;
  transition: right 0.3s ease;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

#menu-open {
  cursor: pointer;
}

#menu-close {
  cursor: pointer;
  align-self: flex-end;
}

/* PROJETS */

#projets {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}

#projet_container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 2rem;
  padding-left: 5rem;
  padding-right: 5rem;
}

.projet {
  background-color: var(--color-dark-blue);
  color: var(--color-white);
  border-radius: 10px;
}

.projet_img {
  width: 100%;
}

.projet {
  background-color: var(--color-white);
  color: var(--color-dark-grey);
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.projet:hover {
  transform: translateY(-5px);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.3);
}

.projet_img {
  width: 100%;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  height: auto;
}

.projet h1,
.projet h2,
.projet h3 {
  margin: 10px 0;
  padding-left: 1rem;
}

.projet p {
  padding: 0 15px;
  text-align: justify;
}

.projet div {
  padding: 1rem 1.5rem;
  margin-bottom: 1rem;
}

.projet a {
  text-decoration: none;
  margin: 1rem;
  padding: 0.7rem 0.9rem;
  background-color: var(--color-light-blue);
  color: var(--color-white);
  border: none;
  border-radius: 3px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.projet_a {
  display: flex;
}

.projet a:hover {
  background-color: var(--color-blue);
}

.projet_techno {
  display: flex;
  align-items: center;
  gap: 10px;
}

.projet_techno > h3 {
  font-weight: bold;
}

.fa-brands {
  font-size: 1.5rem;
  margin-right: 10px;
  color: var(--color-dark-blue);
}

#contact {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}

.contact_container {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 5rem;
}

.un_contact {
  position: relative;
  overflow: hidden;
  padding: 1.25rem;
  width: 380px;
  height: 140px;
  background-color: var(--color-white);
  color: var(--color-dark-grey);
  border-radius: 3px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  cursor: pointer;
}

.un_contact > div {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
}

#footer {
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--color-grey);
}
.un_contact:hover {
  transform: scale(1.05);
  box-shadow: 0 0 15px var(--color-light-blue);
}

#competences {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.img_icone {
  width: 30px;
  height: 30px;
  object-fit: cover;
}

@media screen and (max-width: 1024px) {
  #presentation {
    display: flex;
    flex-direction: column;
    gap: 2rem;
  }

  #a_propos > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  #a_propos_img {
    margin-right: auto;
    margin-left: auto;
    width: 100%;
    display: flex;
    align-self: center;
  }

  #a_propos_txt {
    width: 100%;
  }

  #lien_header,
  #bouton_header {
    display: none;
  }

  #header {
    justify-content: space-between;
  }
  #menu {
    display: block;
  }

  #presentation_img {
    width: 80%;
  }

  #sidebar {
    display: flex;
    flex-direction: column;
    gap: 2rem;
  }

  #projet_container {
    display: flex;
    flex-direction: column;
    padding-left: 0;
    padding-right: 0;
  }

  .contact_container {
    flex-direction: column;
    gap: 2rem;
  }
}

/*  ------------  Couleur icone ------------ */

.html-icon {
  color: #e34f26;
}

.css-icon {
  color: #1572b6;
}

.js-icon {
  color: #f7df1e;
}

.email-icon {
  color: #c23a2b;
}

.linkedin-icon {
  color: #0077b5;
}

.github-icon {
  color: #181717;
}

.java-icon {
  color: #f89820;
}

.figma-icon {
  color: #f24e1e;
}

.php-icon {
  color: #777bb4;
}
